org.keycloak.models.sessions.mongo.entities

## Class MongoClientSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.mongo.entities.MongoClientSessionEntity

-     public class MongoClientSessionEntity
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoClientSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel.Action` | `getAction()`
    `String` | `getClientId()`
    `String` | `getId()`
    `String` | `getRedirectUri()`
    `List<String>` | `getRoles()`
    `String` | `getState()`
    `int` | `getTimestamp()`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setClientId(String clientId)`
    `void` | `setId(String id)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setRoles(List<String> roles)`
    `void` | `setState(String state)`
    `void` | `setTimestamp(int timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoClientSessionEntity

          public MongoClientSessionEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getState

          public String getState()

    - #### setState

          public void setState(String state)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getAction

          public ClientSessionModel.Action getAction()

    - #### setAction

          public void setAction(ClientSessionModel.Action action)

    - #### getRoles

          public List<String> getRoles()

    - #### setRoles

          public void setRoles(List<String> roles)

Copyright © 2014. All Rights Reserved.